<?php
/**
 * Amigos - listar2.php
 * 
 * @author    Bartolomé Sintes Marco <bartolome.sintes+mclibre@gmail.com>
 * @copyright 2011 Bartolomé Sintes Marco
 * @license   http://www.gnu.org/licenses/agpl.txt AGPL 3 or later
 * @version   2011-06-03
 * @link      http://www.mclibre.org
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

include('funciones.php');
$db = conectaDb();
cabecera('Listar', MENU_2, CABECERA_SIN_CURSOR);

$campo = recogeParaConsulta($db, 'campo', 'amigo1'); 
$campo = quitaComillasExteriores($campo); 
$orden = recogeParaConsulta($db, 'orden', 'ASC'); 
$orden = quitaComillasExteriores($orden);

$consulta = "SELECT COUNT(*) FROM $dbTabla";
$result = $db->query($consulta);
if (!$result) {
    print "<p>Error en la consulta.</p>\n";
} elseif ($result->fetchColumn()==0) {
    print "<p>No se ha creado todavía ningún registro.</p>\n";
} else {
    $consulta = "SELECT DISTINCT amigo1 FROM $dbTabla
        ORDER BY amigo1 $orden";
    $result = $db->query($consulta);
    if (!$result) {
        print "<p>Error en la consulta.</p>\n";    
    } else {
        print "<p>Listado completo de amigos:</p>\n<ul>\n";
        foreach ($result as $valor) {
            print "  <li>$valor[amigo1]\n";
            $consulta2 = "SELECT * FROM $dbTabla
              WHERE amigo1='$valor[amigo1]'
              ORDER BY amigo2 $orden";
            $result2 = $db->query($consulta2);
            print "    <ul>\n";
            if (!$result2) {
                print "      <li>Error en la consulta.</li>\n";    
            } else {
                foreach ($result2 as $valor2) {
                    print "      <li>$valor2[amigo2]</li>\n";
                }
            }
            print "    </ul>\n  </li>\n";
        }
        print "</ul>\n";
    }
}
$db = NULL;
pie();
?>
